com.amazon.redshift.plugin

## Class BasicJwtCredentialsProvider

- java.lang.Object
- - com.amazon.redshift.plugin.JwtCredentialsProvider
  - - com.amazon.redshift.plugin.BasicJwtCredentialsProvider

All Implemented Interfaces:
  IPlugin

    public class BasicJwtCredentialsProvider
    extends JwtCredentialsProvider

A basic JWT credential provider class. This class can be changed and implemented to work with any desired JWT service provider.

### Field Summary

### Fields inherited from class com.amazon.redshift.plugin.JwtCredentialsProvider

`m_autoCreate, m_dbGroups, m_dbGroupsFilter, m_dbUser, m_duration, m_forceLowercase, m_jwt, m_log, m_region, m_roleArn, m_roleSessionName, m_stsEndpoint`

### Constructor Summary

Constructors
Constructor and Description
`BasicJwtCredentialsProvider()` Optional default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `processJwt(String jwt)` This method needs to return the JWT string returned by the specific JWT provider being used for this implementation.

### Methods inherited from class com.amazon.redshift.plugin.JwtCredentialsProvider

`addParameter, checkRequiredParameters, decodeJwt, getCredentials, refresh, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicJwtCredentialsProvider

    public BasicJwtCredentialsProvider()

Optional default constructor.

### Method Detail

#### processJwt

    protected String processJwt(String jwt)
                         throws IOException

This method needs to return the JWT string returned by the specific JWT provider being used for this implementation. How you get this string will depend on the specific JWT provider you are using. This method can decode jwt and process any custom claim/tag in it.

This will be used by the JwtCredentialsProvider parent class to get the temporary credentials.

Specified by:
  `processJwt` in class `JwtCredentialsProvider`
Parameters:
  `jwt` - web identity tokens
Returns:
  The JWT string.
Throws:
  `IOException` - throws exception when required parameters are missing.